﻿@model Appointments.Entities.Doctor

@{
    ViewBag.Title = "Doctor: Patients";
    List<object> patientsList = ViewBag.patientsList;
}
 <h2>@Model.FirstName @Model.LastName</h2>
<button id="ap-dialog">Add Patient</button>
<h3>Current Patients</h3>
<div id="currentpatients">
     @Html.Partial("DocPatientsView",Model)
</div>


<div id="dialog" title="Add Patient">
    @Html.DropDownListFor(m => Model.Patients, new SelectList(
      patientsList,
       "id",
       "name", new
       {
           id = 1
       }))
    @Html.ActionLink("Add Patient", "AddPatient", "Doctors", new { id = "addpat" })
</div>





<script>
    function addPat(obj){

        $.ajax({
            type: "POST",
            data: JSON.stringify(obj),
            dataType: "JSON",
            contentType: "application/json",
            url: "/Doctors/AddPatient"});
        refresh()
    }
    function remPat(obj){
        $.ajax({
            type: "POST",
            data: JSON.stringify(obj),
            dataType: "JSON",
            contentType: "application/json",
            url: "/Doctors/RemovePatient"});
        refresh()
    }

    function refresh(){
        $.get("/Doctors/DocPatientsView",{"id":@Model.ID},function(data){
            $('#currentpatients').load("/Doctors/Patients/@Model.ID #currentpatients > *")},"html")

    }

    jQuery(document).ready(function($) {
        $.ajaxSetup({ cache: false,async: true });
     $("#dialog").dialog({ autoOpen: false });

     $("#ap-dialog").click(function (event)    // Open button Treatment
     {
         if ($("#dialog").dialog("isOpen")) alert("Already open !");
         else $("#dialog").dialog("open");
     });
     $('#addpat').on("click",function(event){
         event.preventDefault();
         $("#dialog").dialog("close")
         patient = $('#Patients').find('option:selected').attr('value');
         patient = parseInt(patient);
         var obj = {"pID":patient, "dID": @Model.ID}
         addPat(obj);

     });

     $('#currentpatients').on('click',".rempat",function(){remPat({"pID":$(this).attr('value'),"dID":@Model.ID});})
 });

</script>   